Index: c/src/lib/libbsp/arm/nds/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/nds/ChangeLog	(revision 33e7fc3e8a1f39e282ab2d06831ff8e8d55f65e5)
+++ c/src/lib/libbsp/arm/nds/ChangeLog	(revision 79d490aa58e4ee2409c6033c771d276029ee7d6f)
@@ -1,2 +1,10 @@
+2009-08-10	Roxana Leontie <roxana.leontie@gmail.com>
+
+	* fb/fb.c: function calls renamed; defined references to the extern
+	functions
+	* fb/fb.h: Removed.
+	* Makefile.am: Reflect removal.
+	* preinstall.am: Regenerated.
+
 2009-08-10	Roxana Leontie <roxana.leontie@gmail.com>
 
Index: c/src/lib/libbsp/arm/nds/Makefile.am
===================================================================
--- c/src/lib/libbsp/arm/nds/Makefile.am	(revision 33e7fc3e8a1f39e282ab2d06831ff8e8d55f65e5)
+++ c/src/lib/libbsp/arm/nds/Makefile.am	(revision 79d490aa58e4ee2409c6033c771d276029ee7d6f)
@@ -33,5 +33,5 @@
 
 include_ndsdir = $(includedir)/nds
-include_nds_HEADERS = fb/fb.h touchscreen/touchscreen.h sound/sound.h
+include_nds_HEADERS = touchscreen/touchscreen.h sound/sound.h
 
 noinst_PROGRAMS += startup.rel
Index: c/src/lib/libbsp/arm/nds/fb/fb.c
===================================================================
--- c/src/lib/libbsp/arm/nds/fb/fb.c	(revision 33e7fc3e8a1f39e282ab2d06831ff8e8d55f65e5)
+++ c/src/lib/libbsp/arm/nds/fb/fb.c	(revision 79d490aa58e4ee2409c6033c771d276029ee7d6f)
@@ -23,5 +23,7 @@
 
 #include <rtems/fb.h>
-#include <nds/fb.h>
+
+extern int get_palette( struct fb_cmap * );
+extern int set_palette( struct fb_cmap * );
 
 /*
@@ -67,5 +69,5 @@
 
 rtems_device_driver
-fbds_initialize (rtems_device_major_number major,
+frame_buffer_initialize (rtems_device_major_number major,
                  rtems_device_minor_number minor, void *arg)
 {
@@ -93,5 +95,5 @@
 
 rtems_device_driver
-fbds_open (rtems_device_major_number major,
+frame_buffer_open (rtems_device_major_number major,
            rtems_device_minor_number minor, void *arg)
 {
@@ -114,5 +116,5 @@
 
 rtems_device_driver
-fbds_close (rtems_device_major_number major,
+frame_buffer_close (rtems_device_major_number major,
             rtems_device_minor_number minor, void *arg)
 {
@@ -120,5 +122,5 @@
   if (!minor) {
       memset ((void *)fb_fix_info.smem_start, 0, fb_fix_info.smem_len);
-  } 
+  }
   else {
       memset ((void *)fb_fix_info2.smem_start, 0, fb_fix_info2.smem_len);
@@ -136,5 +138,5 @@
 
 rtems_device_driver
-fbds_read (rtems_device_major_number major,
+frame_buffer_read (rtems_device_major_number major,
            rtems_device_minor_number minor, void *arg)
 {
@@ -150,5 +152,5 @@
 
 rtems_device_driver
-fbds_write (rtems_device_major_number major,
+frame_buffer_write (rtems_device_major_number major,
             rtems_device_minor_number minor, void *arg)
 {
@@ -164,5 +166,5 @@
 
 rtems_device_driver
-fbds_control (rtems_device_major_number major,
+frame_buffer_control (rtems_device_major_number major,
               rtems_device_minor_number minor, void *arg)
 {
@@ -181,8 +183,8 @@
     break;
   case FBIOGETCMAP:
-    args->ioctl_return = get_palette( args->buffer );    
+    args->ioctl_return = get_palette( (struct fb_cmap *) args->buffer );
     break;
   case FBIOPUTCMAP:
-    args->ioctl_return = set_palette( args->buffer );     
+    args->ioctl_return = set_palette( (struct fb_cmap *) args->buffer );
     break;
 
Index: c/src/lib/libbsp/arm/nds/fb/fb.h
===================================================================
--- c/src/lib/libbsp/arm/nds/fb/fb.h	(revision 33e7fc3e8a1f39e282ab2d06831ff8e8d55f65e5)
+++ 	(revision )
@@ -1,51 +1,0 @@
-/*
- * Copyright (c) 2008 by Matthieu Bucchianeri <mbucchia@gmail.com>
- *
- * The license and distribution terms for this file may be
- * found in the file LICENSE in this distribution or at
- *
- * http://www.rtems.com/license/LICENSE
- *
- * $Id$
- */
-
-#ifndef _FB_H_
-#define _FB_H_
-
-#ifdef __cplusplus
-extern "C"
-{
-#endif
-
-/* fbds prototype entry points */
-  rtems_device_driver fbds_initialize (rtems_device_major_number,
-                                       rtems_device_minor_number, void *);
-
-  rtems_device_driver fbds_open (rtems_device_major_number,
-                                 rtems_device_minor_number, void *);
-
-  rtems_device_driver fbds_control (rtems_device_major_number,
-                                    rtems_device_minor_number, void *);
-
-  rtems_device_driver fbds_close (rtems_device_major_number,
-                                  rtems_device_minor_number, void *);
-
-  rtems_device_driver fbds_read (rtems_device_major_number,
-                                 rtems_device_minor_number, void *);
-
-  rtems_device_driver fbds_write (rtems_device_major_number,
-                                  rtems_device_minor_number, void *);
-
-  rtems_device_driver fbds_control (rtems_device_major_number,
-                                    rtems_device_minor_number, void *);
-
-#define FB_DRIVER_TABLE_ENTRY \
-  { fbds_initialize, fbds_open, fbds_close, \
-    fbds_read, fbds_write, fbds_control }
-
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
Index: c/src/lib/libbsp/arm/nds/preinstall.am
===================================================================
--- c/src/lib/libbsp/arm/nds/preinstall.am	(revision 33e7fc3e8a1f39e282ab2d06831ff8e8d55f65e5)
+++ c/src/lib/libbsp/arm/nds/preinstall.am	(revision 79d490aa58e4ee2409c6033c771d276029ee7d6f)
@@ -71,8 +71,4 @@
 PREINSTALL_DIRS += $(PROJECT_INCLUDE)/nds/$(dirstamp)
 
-$(PROJECT_INCLUDE)/nds/fb.h: fb/fb.h $(PROJECT_INCLUDE)/nds/$(dirstamp)
-	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/nds/fb.h
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/nds/fb.h
-
 $(PROJECT_INCLUDE)/nds/touchscreen.h: touchscreen/touchscreen.h $(PROJECT_INCLUDE)/nds/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/nds/touchscreen.h
